import request from '@/common/request.js';

const user = {
	// 登录
	login(data) {
		return request.post('/api/v1/teach_login/sign_in', data)
	},
	// 退出登录
	signOut(data) {
		return request.post('/api/v1/teach_login/sign_out', data)
	},
	//根据登录token获取用户信息
	getUserInfo() {
		return request.get('/api/v1/pc_personal/find_user_info')
	},
	//多学校的账号登录 选择某个学校的数据获取
	chooseBelongSchool(data) {
		return request.get('/api/v1/teach_login/choose_belong_school', data)
	},
	//点击学校免密登录
	adminLoginTeach(data) {
		return request.post('/api/v1/teach_login/admin_login_teach', data)
	},
	//修改密码
	changeMinePassword(data) {
		return request.post('/api/v1/pc_personal/update_password', data)
	},
	
	//获取验证码
	checkSlideCaptcha(data)
	{
		return request.post('/api/v1/teach_login/validate_slider', data)
	},
	
	//教师端账号验证码正式登录
	teacherLoginByCode(data)
	{
		return request.post('/api/v1/teach_login/log_in_by_code',data)
	},

	//重新获取滑块验证码图片数据
	obtainSliderImg(data)
	{
		return request.post('/api/v1/teach_login/re_obtain_slider',data)
	},

	//保存用户信任设备
	saveUserDeviceFinge(param)
	{
		return request.post('/api/v1/teach_login/bind_device_finger',param);
	},


}

export default user